Package com.opensymphony.module.sitemesh.util

# Class OutputConverter.ResinWriter

java.lang.Object
java.io.Writer
com.opensymphony.module.sitemesh.util.OutputConverter.ResinWriter

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

Enclosing class:
  `OutputConverter`

static class OutputConverter.ResinWriter extends Writer
To get internationalised characters to work on Resin, some conversions need to take place.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final CharArrayWriter`
`buffer`
`private final Writer`
`target`

### Fields inherited from class java.io.Writer

`lock`

## Constructor Summary

Constructors
Constructor
Description
`ResinWriter(Writer target)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`void`
`write(char[] cbuf, int off, int len)`

### Methods inherited from class java.io.Writer

`append, append, append, nullWriter, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### target

private final Writer target

### buffer

private final CharArrayWriter buffer

## Constructor Details

### ResinWriter

public ResinWriter(Writer target)

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in class `Writer`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Specified by:
  `flush` in class `Writer`
Throws:
  `IOException`

### write

public void write(char[] cbuf, int off, int len) throws IOException

Specified by:
  `write` in class `Writer`
Throws:
  `IOException`